package com.ruoyi.file.service;

import java.util.List;
import com.ruoyi.file.domain.DownloadRecord;

import javax.servlet.http.HttpServletRequest;

/**
 * 下载记录Service接口
 *
 * @author liangwen
 * @date 2025-09-12
 */
public interface IDownloadRecordService
{
    /**
     * 查询下载记录
     *
     * @param recordId 下载记录主键
     * @return 下载记录
     */
    public DownloadRecord selectDownloadRecordByRecordId(Long recordId);

    /**
     * 查询下载记录列表
     *
     * @param downloadRecord 下载记录
     * @return 下载记录集合
     */
    public List<DownloadRecord> selectDownloadRecordList(DownloadRecord downloadRecord);

    /**
     * 新增下载记录
     *
     * @param downloadRecord 下载记录
     * @return 结果
     */
    public int insertDownloadRecord(DownloadRecord downloadRecord);

    /**
     * 修改下载记录
     *
     * @param downloadRecord 下载记录
     * @return 结果
     */
    public int updateDownloadRecord(DownloadRecord downloadRecord);

    /**
     * 批量删除下载记录
     *
     * @param recordIds 需要删除的下载记录主键集合
     * @return 结果
     */
    public int deleteDownloadRecordByRecordIds(Long[] recordIds);

    /**
     * 删除下载记录信息
     *
     * @param recordId 下载记录主键
     * @return 结果
     */
    public int deleteDownloadRecordByRecordId(Long recordId);

    public void saveDownloadRecord(List<String> userFileIds);
}
